#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 jose
version:              0.8.4
visibility:           public
id:                   jose-0.8.4-8ErAFuuVpVpE7vMkN8WoMi
key:                  jose-0.8.4-8ErAFuuVpVpE7vMkN8WoMi
license:              Apache-2.0
copyright:            Copyright (C) 2013-2018  Fraser Tweedale
maintainer:           frase@frase.id.au
author:               Fraser Tweedale
homepage:             https://github.com/frasertweedale/hs-jose
synopsis:
    Javascript Object Signing and Encryption and JSON Web Token library

description:

    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.

    The JSON Web Signature (JWS; RFC 7515) implementation is complete.

    EdDSA signatures (RFC 8037) are supported (Ed25519 only).

    JWK Thumbprint (RFC 7638) is supported (requires /aeson/ >= 0.10).

    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.

    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.

category:             Cryptography
abi:                  17ca28a8935a27d44418785fc1aded87
exposed:              True
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT

hidden-modules:
    Crypto.JOSE.TH Crypto.JOSE.Types.Internal Crypto.JOSE.Types.Orphans

import-dirs:          /usr/lib/ghc-8.10.2/site-local/jose-0.8.4
library-dirs:         /usr/lib/ghc-8.10.2/site-local/jose-0.8.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/jose-0.8.4
hs-libraries:         HSjose-0.8.4-8ErAFuuVpVpE7vMkN8WoMi
depends:
    QuickCheck-2.14.2-GYIRQqIwOSVCNQLBAdDvcv
    aeson-1.5.4.1-7Fmt2H1B65wDOTuTXG6T4t
    attoparsec-0.13.2.4-A3iUKuJR7UBHxmP0AEJfvQ base-4.14.1.0
    base64-bytestring-1.2.0.1-AWZILofJAf294n139sG5uA
    bytestring-0.10.10.0 concise-0.1.0.1-6SGDPhg8ZoP4GmwYvUIafh
    containers-0.6.2.1 cryptonite-0.27-8M6sRhSbMw4KwMaQcCdZ7v
    lens-4.19.2-4aLgIB2SmWR845riqpTmfD
    memory-0.15.0-359cYXe7lRF64CAN0G53fp
    monad-time-0.3.1.0-3d4yAlPjz8P33AmXrmtMWL mtl-2.2.2
    network-uri-2.6.3.0-FlqrnWVT6WpD3H028R3hh1
    quickcheck-instances-0.3.25.1-CCNYAZHFsgzK5ZYP5VJKu
    safe-0.3.19-AfrHSVViU1189qUhjBUb5b template-haskell-2.16.0.0
    text-1.2.3.2 time-1.9.3
    unordered-containers-0.2.13.0-2nDlvtn1IciJcNnZKP7xpJ
    vector-0.12.1.2-DniijS7i95iDT0VwtGN3m0
    x509-1.7.5-GsaWa3Dp2OgDIB9dp9R5ED

haddock-interfaces:   /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html:         /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

